/*
 Demonstrates parsing out the new line character and the line feed character
 while reading in the char the user entered.
*/
class NewLineFilter
{
	public static void main(String[] args)
		throws java.io.IOException
	{
		boolean guessedRight = false;
		char userChar;
		char computerChar = 'J';
		int guessCount = 0;

		System.out.println("\nHello, let's play a guessing game.");
		System.out.println("I have a character (A-Z) in my mind.");
		System.out.println("You may tell me your guess up to 10 times.");
		System.out.println("All right. Here is a list of characters to pick from.\n");

		//print a list of characters
		for(char i= 'A'; i <= 'Z'; i++)
		{
			System.out.print(i + "\t");
		}

		System.out.println("Enter your guess: ");
		do
		{
			/* this do while loop keeps reading until
               it parses out the new line and carriage feed,
               so that it gets to the letter the user typed
            */
			do
			{
			  userChar = (char) System.in.read();
		    }
			while(userChar == '\n' | userChar == '\r');

			System.out.println("You entered this key: " + userChar);
			guessCount++;

			if (userChar > computerChar)
			{
				System.out.println("You have tried to guess this number of times: " +  guessCount + "\nYou guessed too high. Let's try again.\n");
			}
			else if(userChar < computerChar)
			{
				System.out.println("You have tried to guess this number of times: " +  guessCount + "\nYou guessed too low. Let's try again.\n");
			}
			else
			{
				guessedRight = true;
				System.out.println("You have tried to guess this number of times: " +  guessCount + "\nCorrect!");
			}
		}
		while(!guessedRight);
	}
}